--- old/usr/src/uts/sparc/scsi_vhci/Makefile	Thu Aug  8 11:23:31 2019
+++ new/usr/src/uts/sparc/scsi_vhci/Makefile	Thu Aug  8 11:23:31 2019
@@ -49,7 +49,7 @@
 include $(UTSBASE)/sparc/Makefile.sparc
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 
 #
--- old/usr/src/uts/sparc/semsys/Makefile	Thu Aug  8 11:23:32 2019
+++ new/usr/src/uts/sparc/semsys/Makefile	Thu Aug  8 11:23:32 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/sfe/Makefile	Thu Aug  8 11:23:32 2019
+++ new/usr/src/uts/sparc/sfe/Makefile	Thu Aug  8 11:23:32 2019
@@ -76,7 +76,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Driver depends on MAC & IP
--- old/usr/src/uts/sparc/sgen/Makefile	Thu Aug  8 11:23:33 2019
+++ new/usr/src/uts/sparc/sgen/Makefile	Thu Aug  8 11:23:33 2019
@@ -74,7 +74,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Default build targets.
--- old/usr/src/uts/sparc/sha2/Makefile	Thu Aug  8 11:23:34 2019
+++ new/usr/src/uts/sparc/sha2/Makefile	Thu Aug  8 11:23:34 2019
@@ -72,7 +72,7 @@
 LINTFLAGS	+= -I$(COM_DIR)
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/smbfs/Makefile	Thu Aug  8 11:23:34 2019
+++ new/usr/src/uts/sparc/smbfs/Makefile	Thu Aug  8 11:23:34 2019
@@ -68,7 +68,7 @@
 # Until CR 4994570 is fixed...
 LINTTAGS	+= -erroff=E_BAD_FORMAT_ARG_TYPE2
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # The mb_put/md_get functions are intentionally used with and without
 # return value checks, so filter those out like LGREP.2 does.
--- old/usr/src/uts/sparc/socal/Makefile	Thu Aug  8 11:23:35 2019
+++ new/usr/src/uts/sparc/socal/Makefile	Thu Aug  8 11:23:35 2019
@@ -73,7 +73,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/sockfs/Makefile	Thu Aug  8 11:23:35 2019
+++ new/usr/src/uts/sparc/sockfs/Makefile	Thu Aug  8 11:23:35 2019
@@ -92,7 +92,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/sockpfp/Makefile	Thu Aug  8 11:23:35 2019
+++ new/usr/src/uts/sparc/sockpfp/Makefile	Thu Aug  8 11:23:36 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 
 #
--- old/usr/src/uts/sparc/socksctp/Makefile	Thu Aug  8 11:23:36 2019
+++ new/usr/src/uts/sparc/socksctp/Makefile	Thu Aug  8 11:23:36 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/socksdp/Makefile	Thu Aug  8 11:23:37 2019
+++ new/usr/src/uts/sparc/socksdp/Makefile	Thu Aug  8 11:23:37 2019
@@ -60,7 +60,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDFLAGS += -dy -Nfs/sockfs -Ndrv/ip -Ndrv/sdpib
 
--- old/usr/src/uts/sparc/softmac/Makefile	Thu Aug  8 11:23:37 2019
+++ new/usr/src/uts/sparc/softmac/Makefile	Thu Aug  8 11:23:38 2019
@@ -62,7 +62,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 
 #
--- old/usr/src/uts/sparc/sol_ofs/Makefile	Thu Aug  8 11:23:38 2019
+++ new/usr/src/uts/sparc/sol_ofs/Makefile	Thu Aug  8 11:23:38 2019
@@ -59,7 +59,7 @@
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 LINTTAGS	+= -erroff=E_CONST_TRUNCATED_BY_ASSIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/sparc/sol_umad/Makefile	Thu Aug  8 11:23:39 2019
+++ new/usr/src/uts/sparc/sol_umad/Makefile	Thu Aug  8 11:23:39 2019
@@ -56,7 +56,7 @@
 #
 INCLUDE_PATH += -I$(UTSBASE)/common/sys/ib/clients/of/sol_umad
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/spdsock/Makefile	Thu Aug  8 11:23:39 2019
+++ new/usr/src/uts/sparc/spdsock/Makefile	Thu Aug  8 11:23:39 2019
@@ -79,7 +79,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/specfs/Makefile	Thu Aug  8 11:23:40 2019
+++ new/usr/src/uts/sparc/specfs/Makefile	Thu Aug  8 11:23:40 2019
@@ -66,7 +66,7 @@
 LDFLAGS 	+= -dy -Nfs/fifofs
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/sppp/Makefile	Thu Aug  8 11:23:40 2019
+++ new/usr/src/uts/sparc/sppp/Makefile	Thu Aug  8 11:23:40 2019
@@ -78,7 +78,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/spppcomp/Makefile	Thu Aug  8 11:23:42 2019
+++ new/usr/src/uts/sparc/spppcomp/Makefile	Thu Aug  8 11:23:42 2019
@@ -75,7 +75,7 @@
 CLEANLINTFILES  += $(LINT64_FILES)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/sppptun/Makefile	Thu Aug  8 11:23:43 2019
+++ new/usr/src/uts/sparc/sppptun/Makefile	Thu Aug  8 11:23:44 2019
@@ -81,7 +81,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ssd/Makefile	Thu Aug  8 11:23:45 2019
+++ new/usr/src/uts/sparc/ssd/Makefile	Thu Aug  8 11:23:45 2019
@@ -78,7 +78,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 #
--- old/usr/src/uts/sparc/st/Makefile	Thu Aug  8 11:23:47 2019
+++ new/usr/src/uts/sparc/st/Makefile	Thu Aug  8 11:23:47 2019
@@ -76,7 +76,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/stmf/Makefile	Thu Aug  8 11:23:47 2019
+++ new/usr/src/uts/sparc/stmf/Makefile	Thu Aug  8 11:23:47 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
--- old/usr/src/uts/sparc/stmf_sbd/Makefile	Thu Aug  8 11:23:48 2019
+++ new/usr/src/uts/sparc/stmf_sbd/Makefile	Thu Aug  8 11:23:48 2019
@@ -73,7 +73,7 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/tavor/Makefile	Thu Aug  8 11:23:48 2019
+++ new/usr/src/uts/sparc/tavor/Makefile	Thu Aug  8 11:23:48 2019
@@ -84,7 +84,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 #
--- old/usr/src/uts/sparc/tem/Makefile	Thu Aug  8 11:23:49 2019
+++ new/usr/src/uts/sparc/tem/Makefile	Thu Aug  8 11:23:49 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/tl/Makefile	Thu Aug  8 11:23:49 2019
+++ new/usr/src/uts/sparc/tl/Makefile	Thu Aug  8 11:23:49 2019
@@ -79,7 +79,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/tmpfs/Makefile	Thu Aug  8 11:23:50 2019
+++ new/usr/src/uts/sparc/tmpfs/Makefile	Thu Aug  8 11:23:50 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 
 #
--- old/usr/src/uts/sparc/tnf/Makefile	Thu Aug  8 11:23:51 2019
+++ new/usr/src/uts/sparc/tnf/Makefile	Thu Aug  8 11:23:51 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/trill/Makefile	Thu Aug  8 11:23:53 2019
+++ new/usr/src/uts/sparc/trill/Makefile	Thu Aug  8 11:23:53 2019
@@ -48,7 +48,7 @@
 #
 include $(UTSBASE)/sparc/Makefile.sparc
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/sparc/ttymux/Makefile	Thu Aug  8 11:23:55 2019
+++ new/usr/src/uts/sparc/ttymux/Makefile	Thu Aug  8 11:23:55 2019
@@ -87,7 +87,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 #
--- old/usr/src/uts/sparc/udfs/Makefile	Thu Aug  8 11:23:56 2019
+++ new/usr/src/uts/sparc/udfs/Makefile	Thu Aug  8 11:23:56 2019
@@ -81,7 +81,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 #
--- old/usr/src/uts/sparc/ufs/Makefile	Thu Aug  8 11:23:57 2019
+++ new/usr/src/uts/sparc/ufs/Makefile	Thu Aug  8 11:23:57 2019
@@ -78,7 +78,7 @@
 LDFLAGS		+= -dy -Nfs/specfs -Nmisc/fssnap_if
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-label
 
--- old/usr/src/uts/sparc/ugen/Makefile	Thu Aug  8 11:23:57 2019
+++ new/usr/src/uts/sparc/ugen/Makefile	Thu Aug  8 11:23:57 2019
@@ -53,7 +53,7 @@
 # lint pass one enforcement
 #
 CFLAGS += $(CCVERBOSE)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # depends on misc/usba
--- old/usr/src/uts/sparc/uhci/Makefile	Thu Aug  8 11:23:58 2019
+++ new/usr/src/uts/sparc/uhci/Makefile	Thu Aug  8 11:23:58 2019
@@ -66,7 +66,7 @@
 LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE) $(ROOT_CONFFILE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/usb_ac/Makefile	Thu Aug  8 11:23:58 2019
+++ new/usr/src/uts/sparc/usb_ac/Makefile	Thu Aug  8 11:23:58 2019
@@ -66,7 +66,7 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/usb_ah/Makefile	Thu Aug  8 11:23:59 2019
+++ new/usr/src/uts/sparc/usb_ah/Makefile	Thu Aug  8 11:23:59 2019
@@ -64,7 +64,7 @@
 LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/usba/Makefile	Thu Aug  8 11:23:59 2019
+++ new/usr/src/uts/sparc/usba/Makefile	Thu Aug  8 11:24:00 2019
@@ -51,7 +51,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/uts/sparc/usbftdi/Makefile	Thu Aug  8 11:24:01 2019
+++ new/usr/src/uts/sparc/usbftdi/Makefile	Thu Aug  8 11:24:02 2019
@@ -46,7 +46,7 @@
 #
 include $(UTSBASE)/sparc/Makefile.sparc
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDFLAGS         += -dy -Nmisc/usba -Nmisc/usbser
 
--- old/usr/src/uts/sparc/usbms/Makefile	Thu Aug  8 11:24:02 2019
+++ new/usr/src/uts/sparc/usbms/Makefile	Thu Aug  8 11:24:02 2019
@@ -66,7 +66,7 @@
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/usbsacm/Makefile	Thu Aug  8 11:24:02 2019
+++ new/usr/src/uts/sparc/usbsacm/Makefile	Thu Aug  8 11:24:02 2019
@@ -52,7 +52,7 @@
 
 LDFLAGS         += -dy -Nmisc/usba -Nmisc/usbser
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/sparc/usbser/Makefile	Thu Aug  8 11:24:03 2019
+++ new/usr/src/uts/sparc/usbser/Makefile	Thu Aug  8 11:24:03 2019
@@ -70,7 +70,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
 
--- old/usr/src/uts/sparc/usbsksp/Makefile	Thu Aug  8 11:24:04 2019
+++ new/usr/src/uts/sparc/usbsksp/Makefile	Thu Aug  8 11:24:05 2019
@@ -85,4 +85,4 @@
 #
 include $(UTSBASE)/sparc/Makefile.targ
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
--- old/usr/src/uts/sparc/usbsprl/Makefile	Thu Aug  8 11:24:06 2019
+++ new/usr/src/uts/sparc/usbsprl/Makefile	Thu Aug  8 11:24:06 2019
@@ -51,7 +51,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDFLAGS         += -dy -Nmisc/usba -Nmisc/usbser
 
--- old/usr/src/uts/sparc/usbvc/Makefile	Thu Aug  8 11:24:08 2019
+++ new/usr/src/uts/sparc/usbvc/Makefile	Thu Aug  8 11:24:08 2019
@@ -67,7 +67,7 @@
 LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Disable this because it is necessary for this driver
--- old/usr/src/uts/sparc/usbwcm/Makefile	Thu Aug  8 11:24:08 2019
+++ new/usr/src/uts/sparc/usbwcm/Makefile	Thu Aug  8 11:24:08 2019
@@ -66,7 +66,7 @@
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/vnic/Makefile	Thu Aug  8 11:24:08 2019
+++ new/usr/src/uts/sparc/vnic/Makefile	Thu Aug  8 11:24:08 2019
@@ -55,7 +55,7 @@
 LDFLAGS		+= -dy -Ndrv/dld -Nmisc/mac -Nmisc/dls
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/vr/Makefile	Thu Aug  8 11:24:09 2019
+++ new/usr/src/uts/sparc/vr/Makefile	Thu Aug  8 11:24:09 2019
@@ -58,7 +58,7 @@
 #
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Driver depends on GLD
--- old/usr/src/uts/sparc/vuid3ps2/Makefile	Thu Aug  8 11:24:09 2019
+++ new/usr/src/uts/sparc/vuid3ps2/Makefile	Thu Aug  8 11:24:09 2019
@@ -48,7 +48,7 @@
 #
 include $(UTSBASE)/sparc/Makefile.sparc
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/wc/Makefile	Thu Aug  8 11:24:10 2019
+++ new/usr/src/uts/sparc/wc/Makefile	Thu Aug  8 11:24:10 2019
@@ -61,7 +61,7 @@
 $(MODSTUBS_O)	:= AS_CPPFLAGS += -DWC_MODULE
 CLEANFILES	+= $(MODSTUBS_O)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # lint pass one enforcement
--- old/usr/src/uts/sparc/xge/Makefile	Thu Aug  8 11:24:10 2019
+++ new/usr/src/uts/sparc/xge/Makefile	Thu Aug  8 11:24:10 2019
@@ -110,7 +110,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-empty-body
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #
--- old/usr/src/uts/sparc/zut/Makefile	Thu Aug  8 11:24:10 2019
+++ new/usr/src/uts/sparc/zut/Makefile	Thu Aug  8 11:24:11 2019
@@ -72,7 +72,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4/vm/vm_dep.h	Thu Aug  8 11:24:11 2019
+++ new/usr/src/uts/sun4/vm/vm_dep.h	Thu Aug  8 11:24:11 2019
@@ -20,6 +20,7 @@
  */
 /*
  * Copyright (c) 1995, 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright 2019 Joyent, Inc.
  */
 
 /*
@@ -55,7 +56,7 @@
 	mtype = (flags & PG_NORELOC) ? MTYPE_NORELOC : MTYPE_RELOC;
 
 /* mtype init for page_get_replacement_page */
-#define	MTYPE_PGR_INIT(mtype, flags, pp, mnode, pgcnt)			\
+#define	MTYPE_PGR_INIT(mtype, flags, pp, pgcnt)			\
 	mtype = (flags & PG_NORELOC) ? MTYPE_NORELOC : MTYPE_RELOC;
 
 #define	MNODETYPE_2_PFN(mnode, mtype, pfnlo, pfnhi)			\
--- old/usr/src/uts/sun4u/blade/bscv/Makefile	Thu Aug  8 11:24:11 2019
+++ new/usr/src/uts/sun4u/blade/bscv/Makefile	Thu Aug  8 11:24:11 2019
@@ -66,7 +66,7 @@
 # lint pass one enforcement
 #
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/bootdev/Makefile	Thu Aug  8 11:24:12 2019
+++ new/usr/src/uts/sun4u/bootdev/Makefile	Thu Aug  8 11:24:12 2019
@@ -66,7 +66,7 @@
 #
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/cheetah/Makefile	Thu Aug  8 11:24:13 2019
+++ new/usr/src/uts/sun4u/cheetah/Makefile	Thu Aug  8 11:24:13 2019
@@ -124,6 +124,6 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-clobbered
--- old/usr/src/uts/sun4u/cheetahplus/Makefile	Thu Aug  8 11:24:14 2019
+++ new/usr/src/uts/sun4u/cheetahplus/Makefile	Thu Aug  8 11:24:14 2019
@@ -130,7 +130,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-clobbered
--- old/usr/src/uts/sun4u/cpr/Makefile	Thu Aug  8 11:24:14 2019
+++ new/usr/src/uts/sun4u/cpr/Makefile	Thu Aug  8 11:24:14 2019
@@ -91,7 +91,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 
--- old/usr/src/uts/sun4u/db21554/Makefile	Thu Aug  8 11:24:15 2019
+++ new/usr/src/uts/sun4u/db21554/Makefile	Thu Aug  8 11:24:15 2019
@@ -87,7 +87,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 #	Default build targets.
--- old/usr/src/uts/sun4u/des/Makefile	Thu Aug  8 11:24:16 2019
+++ new/usr/src/uts/sun4u/des/Makefile	Thu Aug  8 11:24:16 2019
@@ -90,7 +90,7 @@
 LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/ebus/Makefile	Thu Aug  8 11:24:16 2019
+++ new/usr/src/uts/sun4u/ebus/Makefile	Thu Aug  8 11:24:17 2019
@@ -76,7 +76,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/excalibur/xcalppm/Makefile	Thu Aug  8 11:24:17 2019
+++ new/usr/src/uts/sun4u/excalibur/xcalppm/Makefile	Thu Aug  8 11:24:17 2019
@@ -65,7 +65,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 
 #
--- old/usr/src/uts/sun4u/fd/Makefile	Thu Aug  8 11:24:17 2019
+++ new/usr/src/uts/sun4u/fd/Makefile	Thu Aug  8 11:24:18 2019
@@ -83,7 +83,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 
--- old/usr/src/uts/sun4u/genunix/Makefile	Thu Aug  8 11:24:18 2019
+++ new/usr/src/uts/sun4u/genunix/Makefile	Thu Aug  8 11:24:18 2019
@@ -117,7 +117,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-clobbered
 CERRWARN	+= -_gcc=-Wno-empty-body
 
--- old/usr/src/uts/sun4u/hummingbird/Makefile	Thu Aug  8 11:24:18 2019
+++ new/usr/src/uts/sun4u/hummingbird/Makefile	Thu Aug  8 11:24:18 2019
@@ -121,4 +121,4 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_BAD_FORMAT_STR2
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
--- old/usr/src/uts/sun4u/jalapeno/Makefile	Thu Aug  8 11:24:19 2019
+++ new/usr/src/uts/sun4u/jalapeno/Makefile	Thu Aug  8 11:24:19 2019
@@ -129,6 +129,6 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-clobbered
--- old/usr/src/uts/sun4u/javelin/envctrltwo/Makefile	Thu Aug  8 11:24:20 2019
+++ new/usr/src/uts/sun4u/javelin/envctrltwo/Makefile	Thu Aug  8 11:24:20 2019
@@ -59,7 +59,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4u/lw8/ntwdt/Makefile	Thu Aug  8 11:24:21 2019
+++ new/usr/src/uts/sun4u/lw8/ntwdt/Makefile	Thu Aug  8 11:24:21 2019
@@ -66,7 +66,7 @@
 # lint pass one enforcement
 #
 CFLAGS		+= $(CCVERBOSE)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDFLAGS		+= -dy -Ndrv/sgsbbc
 
--- old/usr/src/uts/sun4u/lw8/platmod/Makefile	Thu Aug  8 11:24:22 2019
+++ new/usr/src/uts/sun4u/lw8/platmod/Makefile	Thu Aug  8 11:24:22 2019
@@ -75,7 +75,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/mc-us3i/Makefile	Thu Aug  8 11:24:23 2019
+++ new/usr/src/uts/sun4u/mc-us3i/Makefile	Thu Aug  8 11:24:23 2019
@@ -62,7 +62,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4u/montecarlo/pcf8574_nct/Makefile	Thu Aug  8 11:24:24 2019
+++ new/usr/src/uts/sun4u/montecarlo/pcf8574_nct/Makefile	Thu Aug  8 11:24:25 2019
@@ -58,7 +58,7 @@
 # lint pass one enforcement
 #
 CFLAGS += $(CCVERBOSE) -DNORDICA_CP1500
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4u/montecarlo/scsb/Makefile	Thu Aug  8 11:24:26 2019
+++ new/usr/src/uts/sun4u/montecarlo/scsb/Makefile	Thu Aug  8 11:24:26 2019
@@ -64,7 +64,7 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4u/nxge/Makefile	Thu Aug  8 11:24:27 2019
+++ new/usr/src/uts/sun4u/nxge/Makefile	Thu Aug  8 11:24:27 2019
@@ -91,7 +91,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 #
--- old/usr/src/uts/sun4u/opl/dr/Makefile	Thu Aug  8 11:24:28 2019
+++ new/usr/src/uts/sun4u/opl/dr/Makefile	Thu Aug  8 11:24:28 2019
@@ -59,7 +59,7 @@
 # lint pass one enforcement
 #
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sun4u/opl/drmach/Makefile	Thu Aug  8 11:24:28 2019
+++ new/usr/src/uts/sun4u/opl/drmach/Makefile	Thu Aug  8 11:24:28 2019
@@ -65,7 +65,7 @@
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # module dependencies
--- old/usr/src/uts/sun4u/opl/mc-opl/Makefile	Thu Aug  8 11:24:29 2019
+++ new/usr/src/uts/sun4u/opl/mc-opl/Makefile	Thu Aug  8 11:24:29 2019
@@ -62,7 +62,7 @@
 #
 CFLAGS += $(CCVERBOSE) -I../sys
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-type-limits
 
 #
--- old/usr/src/uts/sun4u/opl/olympus_c/Makefile	Thu Aug  8 11:24:30 2019
+++ new/usr/src/uts/sun4u/opl/olympus_c/Makefile	Thu Aug  8 11:24:30 2019
@@ -75,7 +75,7 @@
 #
 OLYMPUS_C_DEFS	+= -DOLYMPUS_C
 CFLAGS += $(CCVERBOSE) $(OLYMPUS_C_DEFS)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 CPPFLAGS += -DCPU_MODULE -DOLYMPUS_C
 AS_CPPFLAGS += -DCPU_MODULE -DOLYMPUS_C
--- old/usr/src/uts/sun4u/opl/oplmsu/Makefile	Thu Aug  8 11:24:32 2019
+++ new/usr/src/uts/sun4u/opl/oplmsu/Makefile	Thu Aug  8 11:24:32 2019
@@ -62,7 +62,7 @@
 LDFLAGS += -dy -Ndrv/su
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/opl/pcicmu/Makefile	Thu Aug  8 11:24:34 2019
+++ new/usr/src/uts/sun4u/opl/pcicmu/Makefile	Thu Aug  8 11:24:34 2019
@@ -61,7 +61,7 @@
 #
 CFLAGS += $(CCVERBOSE) -I../sys
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-unused-label
 
--- old/usr/src/uts/sun4u/opl/unix/Makefile	Thu Aug  8 11:24:35 2019
+++ new/usr/src/uts/sun4u/opl/unix/Makefile	Thu Aug  8 11:24:35 2019
@@ -115,7 +115,7 @@
 CFLAGS += $(CCVERBOSE) -dalign
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
--- old/usr/src/uts/sun4u/opl_cfg/Makefile	Thu Aug  8 11:24:37 2019
+++ new/usr/src/uts/sun4u/opl_cfg/Makefile	Thu Aug  8 11:24:37 2019
@@ -83,7 +83,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/pca9556/Makefile	Thu Aug  8 11:24:38 2019
+++ new/usr/src/uts/sun4u/pca9556/Makefile	Thu Aug  8 11:24:38 2019
@@ -56,7 +56,7 @@
 #
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/sun4u/pcie/Makefile	Thu Aug  8 11:24:39 2019
+++ new/usr/src/uts/sun4u/pcie/Makefile	Thu Aug  8 11:24:39 2019
@@ -63,7 +63,7 @@
 #
 LDFLAGS += -dy -Nmisc/busra
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-type-limits
--- old/usr/src/uts/sun4u/pcipsy/Makefile	Thu Aug  8 11:24:39 2019
+++ new/usr/src/uts/sun4u/pcipsy/Makefile	Thu Aug  8 11:24:40 2019
@@ -77,7 +77,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 
 #
--- old/usr/src/uts/sun4u/pcisch/Makefile	Thu Aug  8 11:24:40 2019
+++ new/usr/src/uts/sun4u/pcisch/Makefile	Thu Aug  8 11:24:40 2019
@@ -77,7 +77,7 @@
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-value
 
--- old/usr/src/uts/sun4u/pmubus/Makefile	Thu Aug  8 11:24:41 2019
+++ new/usr/src/uts/sun4u/pmubus/Makefile	Thu Aug  8 11:24:41 2019
@@ -77,7 +77,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/ppm/Makefile	Thu Aug  8 11:24:44 2019
+++ new/usr/src/uts/sun4u/ppm/Makefile	Thu Aug  8 11:24:44 2019
@@ -76,7 +76,7 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4u/px/Makefile	Thu Aug  8 11:24:45 2019
+++ new/usr/src/uts/sun4u/px/Makefile	Thu Aug  8 11:24:45 2019
@@ -84,7 +84,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/uts/sun4u/rootnex/Makefile	Thu Aug  8 11:24:45 2019
+++ new/usr/src/uts/sun4u/rootnex/Makefile	Thu Aug  8 11:24:45 2019
@@ -80,7 +80,7 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/sbd/Makefile	Thu Aug  8 11:24:46 2019
+++ new/usr/src/uts/sun4u/sbd/Makefile	Thu Aug  8 11:24:46 2019
@@ -61,7 +61,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-label
 
 #
--- old/usr/src/uts/sun4u/sbus/Makefile	Thu Aug  8 11:24:48 2019
+++ new/usr/src/uts/sun4u/sbus/Makefile	Thu Aug  8 11:24:48 2019
@@ -79,7 +79,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/seeprom/Makefile	Thu Aug  8 11:24:50 2019
+++ new/usr/src/uts/sun4u/seeprom/Makefile	Thu Aug  8 11:24:50 2019
@@ -57,7 +57,7 @@
 #
 LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
